amf:
  system:
    display: "System Config"
    sort: 1
    list:
      - name: "amfName"
        type: "string"
        value: "AMF"
        access: "read-write"
        filter: "0~64"
        display: "AMF Name"
        comment: ""
        visible: "self"
      - name: "nfPriority"
        type: "int"
        value: "255"
        access: "read-write"
        filter: "0~255"
        display: "AMF Priority"
        comment: "0~255"
        visible: "self"
      - name: "relativeCapacity"
        type: "int"
        value: "255"
        access: "read-write"
        filter: "0~255"
        display: "SBI Relative Capacity"
        comment: "0~255"
        visible: "self"
      - name: "sbiScheme"
        type: "enum"
        value: "0"
        access: "read-write"
        filter: '{"0":"http","1":"https"}'
        display: "SBI Scheme"
        comment: ""
      - name: "sbiServerIp"
        type: "string"
        value: "192.168.1.183"
        access: "read-write"
        filter: "0~64"
        display: "SBI Server IP"
        comment: ""
        visible: "self"
      - name: "sbiServerPort"
        type: "int"
        value: "8080"
        access: "read-write"
        filter: "0~65535"
        display: "SBI Server Port"
        comment: "0~65535"
      - name: "nrfEnabled"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "NRF Enabled"
        comment: ""
      - name: "nrfUri"
        type: "string"
        value: "http://172.16.5.180:8080"
        access: "read-write"
        filter: "0~64"
        display: "NF NRF URI"
        comment: ""
      - name: "ausfUri"
        type: "string"
        value: "http://172.16.5.130:8080"
        access: "read-write"
        filter: "0~64"
        display: "NF AUSF URI"
        comment: ""
      - name: "udmUri"
        type: "string"
        value: "http://172.16.5.140:8080"
        access: "read-write"
        filter: "0~64"
        display: "NF UDM URI"
        comment: ""
      - name: "smfUri"
        type: "string"
        value: "http://172.16.5.150:8080"
        access: "read-write"
        filter: "0~64"
        display: "NF SMF URI"
        comment: ""
      - name: "pcfUri"
        type: "string"
        value: "http://172.16.5.160:8080"
        access: "read-write"
        filter: "0~64"
        display: "NF PCF URI"
        comment: ""
      - name: "backupAusfUri"
        type: "string"
        value: "http://172.16.5.131:8080"
        access: "read-write"
        filter: "0~64"
        display: "NF Backup AUSF URI"
        comment: ""
      - name: "backupUdmUri"
        type: "string"
        value: "http://172.16.5.141:8080"
        access: "read-write"
        filter: "0~64"
        display: "NF Backup UDM URI"
        comment: ""
      - name: "backupSmfUri"
        type: "string"
        value: "http://172.16.5.151:8080"
        access: "read-write"
        filter: "0~64"
        display: "NF Backup SMF URI"
        comment: ""
      - name: "backupPcfUri"
        type: "string"
        value: "http://172.16.5.161:8080"
        access: "read-write"
        filter: "0~64"
        display: "NF Backup PCF URI"
        comment: ""
      - name: "lmfUri"
        type: "string"
        value: "http://172.16.5.200:8080"
        access: "read-write"
        filter: "0~64"
        display: "NF LMF URI"
        comment: ""
      - name: "nefUri"
        type: "string"
        value: "http://172.16.5.210:8080"
        access: "read-write"
        filter: "0~64"
        display: "NF NEF URI"
        comment: ""
      - name: "defaultDnn"
        type: "string"
        value: "internet"
        access: "read-write"
        filter: "0~64"
        display: "Default DNN"
        comment: ""
      - name: "integrityAlgorithm"
        type: "enum"
        value: "2"
        access: "read-write"
        filter: '{"0":"NIA0","1":"NIA1","2":"NIA2","3":"NIA3"}'
        display: "AUTH Integrity Algorithm"
        comment: ""
      - name: "cipheringAlgorithm"
        type: "enum"
        value: "0"
        access: "read-write"
        filter: '{"0":"NEA0","1":"NEA1","2":"NEA2","3":"NEA3"}'
        display: "AUTH Ciphering Algorithm"
        comment: ""
      - name: "t3502"
        type: "int"
        value: "720"
        access: "read-write"
        filter: "1~65535"
        display: "T3502"
        comment: ""
      - name: "t3512"
        type: "int"
        value: "3600"
        access: "read-write"
        filter: "1~65535"
        display: "T3512"
        comment: ""
      - name: "t3513"
        type: "int"
        value: "2"
        access: "read-write"
        filter: "1~65535"
        display: "T3513"
        comment: ""
      - name: "t3522"
        type: "int"
        value: "6"
        access: "read-write"
        filter: "1~65535"
        display: "T3522"
        comment: ""
      - name: "t3550"
        type: "int"
        value: "6"
        access: "read-write"
        filter: "1~65535"
        display: "T3550"
        comment: ""
      - name: "t3555"
        type: "int"
        value: "6"
        access: "read-write"
        filter: "1~65535"
        display: "T3555"
        comment: ""
      - name: "t3560"
        type: "int"
        value: "6"
        access: "read-write"
        filter: "1~65535"
        display: "T3560"
        comment: ""
      - name: "t3565"
        type: "int"
        value: "6"
        access: "read-write"
        filter: "1~65535"
        display: "T3565"
        comment: ""
      - name: "t3570"
        type: "int"
        value: "6"
        access: "read-write"
        filter: "1~65535"
        display: "T3570"
        comment: ""
  systemFeatOpt:
    display: "Enable/Disable Features"
    sort: 3
    list:
      - name: "dnnCorrectionEnabled"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "DnnCorrectionEnabled"
        comment: ""
      - name: "gutiReallocationInPRUEnabled"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "GutiReallocationInPRUEnabled"
        comment: ""
      - name: "ueRadioCapabilityMatchEnabled"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "UeRadioCapabilityMatchEnabled"
        comment: ""
      - name: "supportFollowOnRequestIndication"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "SupportFollowOnRequestIndication"
        comment: ""
      - name: "triggerInitCtxSetupForAllNASProc"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "TriggerInitCtxSetupForAllNASProc"
        comment: ""
      - name: "supportAllAllowedNssai"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "SupportAllAllowedNssai"
        comment: ""
      - name: "implicitUnsubscribeEnabled"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "ImplicitUnsubscribeEnabled"
        comment: ""
      - name: "supportRRCInactiveReport"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "SupportRRCInactiveReport"
        comment: ""
      - name: "supportMappedSecurityContext"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "SupportMappedSecurityContext"
        comment: ""
      - name: "optimizeSignalingProcedure"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "OptimizeSignalingProcedure"
        comment: ""
      - name: "reAuthInServiceRequestProc"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "ReAuthInServiceRequestProc"
        comment: ""
      - name: "skipGetSubscribedNssai"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "SkipGetSubscribedNssai"
        comment: ""
      - name: "forceIdentityRequest"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "ForceIdentityRequest"
        comment: ""
      - name: "cagEnabled"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "CagEnabled"
        comment: ""
      - name: "checkSliceInTaEnabled"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "CheckSliceInTaEnabled"
        comment: ""
      - name: "uePolicyEnabled"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "uePolicyEnabled"
        comment: ""
      - name: "smsOverNasEnabled"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "smsOverNasEnabled"
        comment: ""
      - name: "statusReportToOmc"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "statusReportToOmc"
        comment: ""
      - name: "statusReportEnabled"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "StatusReportEnabled"
        comment: ""
      - name: "getTraceDataFromUdm"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "GetTraceDataFromUdm"
        comment: ""
      - name: "disableLocationReportControl"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "DisableLocationReportControl"
        comment: ""
      - name: "sendDnnOiToSmf"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "SendDnnOiToSmf"
        comment: ""
      - name: "udsfEnabled"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "UdsfEnabled"
        comment: ""
      - name: "enableHttpPprof"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "EnableHttpPprof"
        comment: ""
  association:
    display: "AMF TNL Association List"
    sort: 5
    visible: "self"
    array:
      - name: "index"
        type: "int"
        value: "0"
        access: "read-only"
        filter: "0~15"
        display: "Index"
        comment: "0~15"
      - name: "ngapIp"
        type: "string"
        value: "192.168.1.183"
        access: "read-write"
        filter: "0~64"
        display: "NGAP IP"
        comment: ""
      - name: "ngapSctpPort"
        type: "int"
        value: "38412"
        access: "read-write"
        filter: "0~65535"
        display: "NGAP SCTP Port"
        comment: "0~65535"
      - name: "weightFactor"
        type: "int"
        value: "255"
        access: "read-write"
        filter: "0~255"
        display: "Weight"
        comment: "0~255"
  guami:
    display: "AMF Served GUAMI List"
    sort: 7
    visible: "hide"
    array:
      - name: "index"
        type: "int"
        value: "0"
        access: "read-only"
        filter: "0~15"
        display: "Index"
        comment: "0~15"
      - name: "plmnId"
        type: "regex"
        value: "00101"
        access: "read-write"
        filter: "^[0-9]{5,6}$"
        display: "PLMN ID"
        comment: ""
      - name: "regionId"
        type: "int"
        value: "1"
        access: "read-write"
        filter: "0~255"
        display: "Region ID"
        comment: "0~255"
      - name: "setId"
        type: "int"
        value: "1"
        access: "read-write"
        filter: "0~1023"
        display: "Set ID"
        comment: "0~1023"
      - name: "pointer"
        type: "int"
        value: "1"
        access: "read-write"
        filter: "0~63"
        display: "Pointer"
        comment: "0~63"
  tai:
    display: "AMF Support TAI List"
    sort: 9
    array:
      - name: "index"
        type: "int"
        value: "0"
        access: "read-only"
        filter: "0~15"
        display: "Index"
        comment: "0~15"
      - name: "plmnId"
        type: "regex"
        value: "00101"
        access: "read-write"
        filter: "^[0-9]{5,6}$"
        display: "PLMN ID"
        comment: ""
      - name: "tac"
        type: "string"
        value: "1"
        access: "read-write"
        filter: "0~8"
        display: "TAC"
        comment: "0~16777215"
  slice:
    display: "AMF Support Slice List"
    sort: 11
    array:
      - name: "index"
        type: "int"
        value: "0"
        access: "read-only"
        filter: "0~15"
        display: "Index"
        comment: "0~15"
      - name: "plmnId"
        type: "regex"
        value: "00101"
        access: "read-write"
        filter: "^[0-9]{5,6}$"
        display: "PLMN ID"
        comment: ""
      - name: "sst"
        type: "int"
        value: "1"
        access: "read-write"
        filter: "0~127"
        display: "SST"
        comment: "0~127"
      - name: "sd"
        type: "regex"
        value: "000001"
        access: "read-write"
        filter: "^[A-Fa-f0-9]{6}"
        display: "SD"
        comment: ""
  whiteInfo:
    display: "Enable Whitelist Feat"
    sort: 12
    list:
      - name: "enableWhitelist"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "IMSI/IMEI Whitelist"
        comment: "if set true, need to add white list content by 'WhiteList Content' entry "
  whitelist:
    display: " └── WhiteList Content"
    sort: 13
    array:
      - name: "index"
        type: "int"
        value: "0"
        access: "read-only"
        filter: "0~65535"
        display: "Index"
        comment: "0~65535"
      - name: "imsiValue"
        type: "string"
        value: ""
        access: "read-write"
        filter: "^(|any|[a-zA-Z0-9]{1,16})$"
        display: "IMSI Value"
        comment: "SIM and device match: Both IMSI and IMEI are present.  format e.g: 460020021404867,869583045227)"
      - name: "imeiValue"
        type: "string"
        value: ""
        access: "read-write"
        filter: "^(|any|[a-zA-Z0-9]{1,16})$"
        display: "IMEI Value/Prefix"
        comment: "Device-only check (IMSI Value is empty, IMEI Prefix is present.  format e.g: any,869583045227)"
  4g5ghoN26Info:
    display: "Enable 4G5GHO N26 Feat"
    sort: 16
    list:
      - name: "iwkN26"
        type: "bool"
        value: "0"
        access: "read-write"
        filter: '{"0":"false","1":"true"}'
        display: "Support 4G/5G Handover"
        comment: "if set true, need to add MME List by '4G5GHO Select MME List' entry "
      - name: "n26Ip"
        type: "string"
        value: "192.168.1.183"
        access: "read-write"
        filter: "0~64"
        display: "Set AMF Local N26 IP"
        comment: ""
        visible: "self"
  4g5ghoMmeList:
    display: " └── 4G5GHO Select MME List"
    sort: 17
    array:
      - name: "index"
        type: "int"
        value: "0"
        access: "read-only"
        filter: "0~32"
        display: "Index"
        comment: "0~32"
      - name: "plmnId"
        type: "regex"
        value: "00101"
        access: "read-write"
        filter: "^[0-9]{5,6}$"
        display: "PLMN ID"
        comment: "<MCC><MNC>"
      - name: "groupId"
        type: "int"
        value: "4"
        access: "read-write"
        filter: "0~65535"
        display: "Group ID"
        comment: ""
      - name: "code"
        type: "int"
        value: "1"
        access: "read-write"
        filter: "0~255"
        display: "Code"
        comment: ""
      - name: "tac"
        type: "int"
        value: "4388"
        access: "read-write"
        filter: "0~65535"
        display: "TAC"
        comment: ""
      - name: "ip"
        type: "string"
        value: "172.16.5.220"
        access: "read-write"
        filter: "^(([0-9]{1,3}\\.){3}[0-9]{1,3}|([0-9a-fA-F]{0,4}:){2,7}[0-9a-fA-F]{0,4})$"
        display: "MME IP Address"
        comment: "IPv4 or IPv6 address"
